package com.zipcoder.console;

import java.io.InputStream;
import java.io.PrintStream;
import java.util.Scanner;

/**
 * To print out to the regular console
 * Console console = new Console(System.out, System.in);
 */
public class Console {
    private Scanner scanner;
    private PrintStream out;

    public Console(PrintStream out, InputStream in) {
        this.out = out;
        if (in != null) {
            scanner = new Scanner(in);
        }
    }

    public void print(String expectedString) {
        out.print(expectedString);
    }

    public String nextLine() {
        return scanner.nextLine();
    }

    public String ask() {
        out.print("Hit or stay?");
        return scanner.nextLine();
    }
}
